import yaml
from src.asr_runner import ASRRunner
from src.sound_input_stream import SoundInputStream
from src.wake_word_runner import WakeWordRunner

with open(r"config/config.yaml", "r") as f:
    cfg = yaml.load(f, Loader=yaml.FullLoader)

s = SoundInputStream(cfg["SoundInputStream"])
w = WakeWordRunner(cfg['WakeWordRunner'])
a = ASRRunner(cfg['ASRRunner'])

import time
time.sleep(10)